Error while upgrading Naemon from 1.0.6 to 1.08


(tom) #1

Hi there,

today I tried to upgrade our Naemon/Thruk environment. We are running the services on a VMware machine and a Ubuntu 16.04.3 LTS server platform. I had configured the repositories from ConsolLabs so I’m getting the right version of Naemon and Thruk from there.
Before I tried to upgrade we were running Naemon in version 1.0.6 and Thruk 2.20.

I started the upgrade by typing apt dist-upgrade and then i see this message on the screen.

Preparing to unpack .../naemon-core_1.0.8_amd64.deb ...
Unpacking naemon-core (1.0.8) over (1.0.6) ...
dpkg: error processing archive /var/cache/apt/archives/naemon-core_1.0.8_amd64.deb (--unpack):
trying to overwrite '/usr/bin/naemonstats', which is also in package naemon-tools 1.0.6
...
Errors were encountered while processing:
/var/cache/apt/archives/naemon-core_1.0.8_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Does anyone have had the same issue while upgrading the naemon-core? How can I fix this problem?
Any help would be nice.


(Sven Nierlein) #2

try uninstalling naemon-tools first. And this has been fixed for the next release already.


(tom) #3

Hi Sven,

this morning I upgraded the installation from 1.0.6 to 1.0.8 and it works fine with your workaround.
Is it correct that for the 1.0.8 version the naemon-tools are no longer available?

Many thanks for your help!


(Sven Nierlein) #4

thats right, naemon-tools have been merged into the -core pkg, since it only contained naemonstats.